namespace ShoopNCook.Views;
using Microsoft.Maui.Graphics;

public partial class HeadedButton : ContentView
{

    public string Text
    {
        set => BtnLabel.Text = value;
    }

    public string HeadColor
    {
        set => PrefixBorder.BackgroundColor = Color.FromArgb(value);
    }

    public string HeadSource
    {
        set => PrefixImage.Source = ImageSource.FromFile(value);
    }

    public HeadedButton()
	{
		InitializeComponent();
	}
}